/*
 * Transforms_Instrumentation.cpp: Python bindings for the LLVM compiler infrastructure
 * Copyright (c) 2004, 2005 Jarno Seppnen <--jseppanen@gmail.com-->.
 * Distributed under the Boost Software License, Version 1.0. (See
 * accompanying file LICENSE_1_0.txt or copy at
 * http://www.boost.org/LICENSE_1_0.txt)
 */

#include <boost/python.hpp>
#include <boost/noncopyable.hpp>
#include <llvm/Transforms/Instrumentation.h>
#include <llvm/Pass.h>

using namespace boost::python;

namespace llvm { namespace Python {

void wrap_Transforms_Instrumentation()
{
    def("createLoopInstrumentationPass", createLoopInstrumentationPass,
        return_value_policy<manage_new_object>());
    def("createCombineBranchesPass", createCombineBranchesPass,
        return_value_policy<manage_new_object>());
    def("createEmitFunctionTablePass", createEmitFunctionTablePass,
        return_value_policy<manage_new_object>());
    def("createFunctionProfilerPass", createFunctionProfilerPass,
        return_value_policy<manage_new_object>());
    def("createBlockProfilerPass", createBlockProfilerPass,
        return_value_policy<manage_new_object>());
    def("createEdgeProfilerPass", createEdgeProfilerPass,
        return_value_policy<manage_new_object>());
    def("createTraceBasicBlockPass", createTraceBasicBlockPass,
        return_value_policy<manage_new_object>());
    def("createProfilePathsPass", createProfilePathsPass,
        return_value_policy<manage_new_object>());
    def("createTraceValuesPassForBasicBlocks", createTraceValuesPassForBasicBlocks,
        return_value_policy<manage_new_object>());
    def("createTraceValuesPassForFunction", createTraceValuesPassForFunction,
        return_value_policy<manage_new_object>());
}

}} // namespace llvm::Python

// EOF
