"""
Trying out some LLVM constants.

Constant values can be obtained with type-specific factory functions.
All of the llvm.Constant* classes have a get() method for creating
constants.

>>> t=llvm.ConstantBool.get(1)
>>> t.isNullValue()
False
>>> a=llvm.ConstantUInt.get(llvm.Type.UIntTy, 42)
>>> b=llvm.ConstantSInt.get(llvm.Type.IntTy, -1)
>>> a.getValue()
42L
>>> b.getValue()
-1L

There's also some shortcuts for boolean constants.

>>> llvm.ConstantBool.True
<llvm.ConstantBool object at 0x00A2CE68>
>>> _.getValue()
True

"""

import doctest, llvm

if __name__=="__main__":
    doctest.testmod()
